package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (19/01/2017)
 */
public class P06B23T00Datatype implements Serializable {
	
	private String clave = "";
	private String entidad = "";
	private String cif = "";
	private String telefono = "";
	private String estado = "";
	private boolean baja;
	
	public boolean isEmpty() {
		if(clave.trim().equals("")
				&& entidad.trim().equals("")
				&& cif.trim().equals("")
				&& telefono.trim().equals("")
				&& estado.trim().equals("")
				&& baja==false)
			return true;
		return false;
	}

	public P06B23T00Datatype() {
		super();
	}

	public P06B23T00Datatype(String clave, String entidad) {
		super();
		this.clave = clave;
		this.entidad = entidad;
	}

	public String getClave() {
		return clave;
	}

	public void setClave(String clave) {
		this.clave = clave;
	}

	public String getEntidad() {
		return entidad;
	}

	public void setEntidad(String entidad) {
		this.entidad = entidad;
	}

	public String getCif() {
		return cif;
	}

	public void setCif(String cif) {
		this.cif = cif;
	}

	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public boolean isBaja() {
		return baja;
	}

	public void setBaja(boolean baja) {
		this.baja = baja;
	}


	
}
